# Package de.gebit.integrity.dsl.impl

- Class Summary
  Class | Description
  --- | ---
  ArbitraryParameterOrResultNameImpl | An implementation of the model object 'Arbitrary Parameter Or Result Name'.
  BooleanValueImpl | An implementation of the model object 'Boolean Value'.
  CallDefinitionImpl | An implementation of the model object 'Call Definition'.
  CallImpl | An implementation of the model object 'Call'.
  ConstantDefinitionImpl | An implementation of the model object 'Constant Definition'.
  ConstantEntityImpl | An implementation of the model object 'Constant Entity'.
  ConstantImpl | An implementation of the model object 'Constant'.
  ConstantValueImpl | An implementation of the model object 'Constant Value'.
  CustomOperationImpl | An implementation of the model object 'Custom Operation'.
  DateAndTimeValueImpl | An implementation of the model object 'Date And Time Value'.
  DateValueImpl | An implementation of the model object 'Date Value'.
  DecimalValueImpl | An implementation of the model object 'Decimal Value'.
  DocumentationCommentImpl | An implementation of the model object 'Documentation Comment'.
  DslFactoryImpl | An implementation of the model Factory.
  DslPackageImpl | An implementation of the model Package.
  EmptyImpl | An implementation of the model object 'Empty'.
  EmptyValueImpl | An implementation of the model object 'Empty Value'.
  EnumValueImpl | An implementation of the model object 'Enum Value'.
  EuropeanDateAnd12HrsTimeValueImpl | An implementation of the model object 'European Date And12 Hrs Time Value'.
  EuropeanDateAnd24HrsTimeValueImpl | An implementation of the model object 'European Date And24 Hrs Time Value'.
  EuropeanDateValueImpl | An implementation of the model object 'European Date Value'.
  ExecutionMultiplierImpl | An implementation of the model object 'Execution Multiplier'.
  FixedParameterNameImpl | An implementation of the model object 'Fixed Parameter Name'.
  FixedResultNameImpl | An implementation of the model object 'Fixed Result Name'.
  ForkDefinitionImpl | An implementation of the model object 'Fork Definition'.
  ForkParameterImpl | An implementation of the model object 'Fork Parameter'.
  ImportImpl | An implementation of the model object 'Import'.
  InexistentImpl | An implementation of the model object 'Inexistent'.
  InexistentValueImpl | An implementation of the model object 'Inexistent Value'.
  IntegerValueImpl | An implementation of the model object 'Integer Value'.
  IsoDateAndTimeValueImpl | An implementation of the model object 'Iso Date And Time Value'.
  IsoDateValueImpl | An implementation of the model object 'Iso Date Value'.
  IsoTimeValueImpl | An implementation of the model object 'Iso Time Value'.
  JavaClassReferenceImpl | An implementation of the model object 'Java Class Reference'.
  JavaConstantReferenceImpl | An implementation of the model object 'Java Constant Reference'.
  JavaConstantValueImpl | An implementation of the model object 'Java Constant Value'.
  KeyValuePairImpl | An implementation of the model object 'Key Value Pair'.
  MethodReferenceImpl | An implementation of the model object 'Method Reference'.
  ModelImpl | An implementation of the model object 'Model'.
  NamedCallResultImpl | An implementation of the model object 'Named Call Result'.
  NamedResultImpl | An implementation of the model object 'Named Result'.
  NestedObjectImpl | An implementation of the model object 'Nested Object'.
  NullImpl | An implementation of the model object 'Null'.
  NullValueImpl | An implementation of the model object 'Null Value'.
  OperationDefinitionImpl | An implementation of the model object 'Operation Definition'.
  OperationImpl | An implementation of the model object 'Operation'.
  PackageDefinitionImpl | An implementation of the model object 'Package Definition'.
  PackageStatementImpl | An implementation of the model object 'Package Statement'.
  ParameterImpl | An implementation of the model object 'Parameter'.
  ParameterNameImpl | An implementation of the model object 'Parameter Name'.
  ParameterTableHeaderImpl | An implementation of the model object 'Parameter Table Header'.
  ParameterTableValueImpl | An implementation of the model object 'Parameter Table Value'.
  RegexValueImpl | An implementation of the model object 'Regex Value'.
  ResultNameImpl | An implementation of the model object 'Result Name'.
  ResultTableHeaderImpl | An implementation of the model object 'Result Table Header'.
  Simple12HrsTimeValueImpl | An implementation of the model object 'Simple12 Hrs Time Value'.
  Simple24HrsTimeValueImpl | An implementation of the model object 'Simple24 Hrs Time Value'.
  StandardOperationImpl | An implementation of the model object 'Standard Operation'.
  StatementImpl | An implementation of the model object 'Statement'.
  StaticValueImpl | An implementation of the model object 'Static Value'.
  StringValueImpl | An implementation of the model object 'String Value'.
  SuiteDefinitionImpl | An implementation of the model object 'Suite Definition'.
  SuiteImpl | An implementation of the model object 'Suite'.
  SuiteParameterDefinitionImpl | An implementation of the model object 'Suite Parameter Definition'.
  SuiteParameterImpl | An implementation of the model object 'Suite Parameter'.
  SuiteReturnDefinitionImpl | An implementation of the model object 'Suite Return Definition'.
  SuiteReturnImpl | An implementation of the model object 'Suite Return'.
  SuiteStatementImpl | An implementation of the model object 'Suite Statement'.
  SuiteStatementWithResultImpl | An implementation of the model object 'Suite Statement With Result'.
  TableTestImpl | An implementation of the model object 'Table Test'.
  TableTestRowImpl | An implementation of the model object 'Table Test Row'.
  TestDefinitionImpl | An implementation of the model object 'Test Definition'.
  TestImpl | An implementation of the model object 'Test'.
  TimeDifferenceImpl | An implementation of the model object 'Time Difference'.
  TimeProgressionFactorImpl | An implementation of the model object 'Time Progression Factor'.
  TimeSetImpl | An implementation of the model object 'Time Set'.
  TimeValueImpl | An implementation of the model object 'Time Value'.
  TypedNestedObjectImpl | An implementation of the model object 'Typed Nested Object'.
  USDateAnd12HrsTimeValueImpl | An implementation of the model object 'US Date And12 Hrs Time Value'.
  USDateValueImpl | An implementation of the model object 'US Date Value'.
  ValueImpl | An implementation of the model object 'Value'.
  ValueOrEnumValueOrOperationCollectionImpl | An implementation of the model object 'Value Or Enum Value Or Operation Collection'.
  ValueOrEnumValueOrOperationImpl | An implementation of the model object 'Value Or Enum Value Or Operation'.
  VariableAssignmentImpl | An implementation of the model object 'Variable Assignment'.
  VariableDefinitionImpl | An implementation of the model object 'Variable Definition'.
  VariableEntityImpl | An implementation of the model object 'Variable Entity'.
  VariableImpl | An implementation of the model object 'Variable'.
  VariableOrConstantEntityImpl | An implementation of the model object 'Variable Or Constant Entity'.
  VariableVariableImpl | An implementation of the model object 'Variable Variable'.
  VariantDefinitionImpl | An implementation of the model object 'Variant Definition'.
  VariantValueImpl | An implementation of the model object 'Variant Value'.
  VisibleCommentImpl | An implementation of the model object 'Visible Comment'.
  VisibleDividerImpl | An implementation of the model object 'Visible Divider'.
  VisibleMultiLineCommentImpl | An implementation of the model object 'Visible Multi Line Comment'.
  VisibleMultiLineNormalCommentImpl | An implementation of the model object 'Visible Multi Line Normal Comment'.
  VisibleMultiLineTitleCommentImpl | An implementation of the model object 'Visible Multi Line Title Comment'.
  VisibleSingleLineCommentImpl | An implementation of the model object 'Visible Single Line Comment'.
  VisibleSingleLineNormalCommentImpl | An implementation of the model object 'Visible Single Line Normal Comment'.
  VisibleSingleLineTitleCommentImpl | An implementation of the model object 'Visible Single Line Title Comment'.